{% load_banners position: position limit: 1 %}
{% for banner in loaded_banners %}
  <section class="section section-banner-video">
    {% if banner.subtitle != blank %}
      <div class="heading">
        <h2 class="title">{{ banner.subtitle }}</h2>
      </div>
    {% endif %}

    {% if banner.url contains "youtube" or banner.url contains "vimeo" %}

      {% comment %} BANNER COM VIDEO {% endcomment %}
      {% if banner.url contains "youtube" or banner.url contains "youtu.be" %}
        {% assign video_temp_url = banner.url %}
        {% if banner.url contains "youtu.be" %}
          {% assign video_temp_url = banner.url | replace: 'youtu.be/', 'www.youtube.com/watch?v=' | split: '?si=' | first %}
        {% elsif banner.url contains "shorts" %}
          {% assign video_temp_url = banner.url | replace: 'shorts/', 'watch?v=' %}
        {% endif %}
        {% assign video_address = video_temp_url | split: "?v=" | last %}
        {% assign video_code = video_address | split: '&' | first | strip %}

        {% assign video_url = video_code | prepend: "https://www.youtube.com/embed/" | append: "?autoplay=1&rel=0&mute=1&muted=1" %}
      {% elsif banner.url contains "vimeo" %}
        {% assign video_code = banner.url | split: "/" | last | strip %}
        {% assign video_url = video_code | prepend: "https://player.vimeo.com/video/" | append: "?autoplay=1&title=0&byline=0&portrait=0&loop=1&background=1&muted=1" %}
      {% endif %}

      {% if video_url %}
        <div class="video {% if resolution contains 'mobile' %}-vertical {% else %} -horizontal {% endif %}">
          <iframe aria-label="{{ banner.title }}" alt="{{ banner.title }}" class="lazy" loading="lazy" data-src="{{ video_url }}" frameborder="0" allow="autoplay;  picture-in-picture" allowfullscreen></iframe>
        </div>
      {% endif %}
       
    {% elsif banner.file_url != blank %}
      {% if banner.url != blank %}
        <a class="image -custom" href="{{ banner.url }}" {% if banner.external %} target="_blank" {% endif %}>
        {% else %}
          <figure class="image -custom">
          {% endif %}
          {% capture data_srcset %}
            {{ banner.file_url | resize: '360x' }}
            360w,
            {{ banner.file_url | resize: '480x' }}
            480w,
            {{ banner.file_url | resize: '780x' }}
            780w,
            {{ banner.file_url | resize: '991x' }}
            991w,
            {{ banner.file_url | resize: '1280x' }}
            1280w,
            {{ banner.file_url | resize: '1440x' }}
            1440w,
            {{ banner.file_url }}
            1920w,
          {% endcapture %}

          {% capture data_sizes %}
            (max-width: 360px) 360px,
            (max-width: 480px) 480px,
            (max-width: 767px) 780px,
            (max-width: 991px) 991px,
            (max-width: 1280px) 1280px,
            (max-width: 1440px) 1440px,
            1920px
          {% endcapture %}

          <img class="lazy" loading="lazy" alt="{{ banner.title }}" data-srcset="{{ data_srcset | strip_newlines | strip }}" sizes="{{ data_sizes | strip_newlines | strip }}"/>
          {% if banner.url != blank %}
          </a>
      {% else %}
        </figure>
      {% endif %}
    {% endif %}
  </section>
{% endfor %}
